View Issue Details

IDProjectCategoryView StatusLast Update
0001293Main CAcert Websitewebsite contentpublic2014-12-02 22:49
ReporterEva Assigned ToBenBE  
PriorityhighSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product Version2014 Q3 
Target Version2014 Q3Fixed in Version2014 Q3 
Summary0001293: Replace CCA document with new DRAFT version
DescriptionThe CCA was changed by a policy decision. There exists a new drafted version.

The document has to be replaced on the webside.
TagsNo tags attached.
Reviewed byTed, BenBE
Test Instructions

Activities

Eva

2014-07-29 20:57

updater  

CAcertCommunityAgreement_Draft_20140727.html (21,813 bytes)   
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
        "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
 <meta http-equiv="CONTENT-TYPE" content="text/html; charset=utf-8" />
 <title> CAcert Community Agreement </title>
<style type="text/css">
<!--
.comment {
        color : steelblue;
}
.first-does-not-work {
        color : red;
}
.q {
        color : green;
        font-weight: bold;
        text-align: center;
        font-style:italic;
}
.change {
        color : blue;
        font-weight: bold;
}
.change2 {
        color : blue;
		font-weight: bold;
}
.change3 {
        color : blue;
		font-weight: bold;
}
.change4 {
        color : blue;
	font-weight: bold;
}
.change5 {
        color : blue;
	font-weight: bold;
}
.change6 {
        color : blue;
	font-weight: bold;
}
.change7 {
        color : blue ;
	font-weight: bold;
}
.change8 {
        color : blue;
	font-weight: bold;
}
.change9 {
        color : blue;
	font-weight: bold;
}
.change10 {
        color : blue;
	font-weight: bold;
}
.change11 {
        color : blue;
	font-weight: bold;
}
.change12 {
        color : blue;
	font-weight: bold;
}
.change13 {
        color : blue;
	font-weight: bold;
}
.strike {
        color : blue;
        text-decoration:line-through;
}
.strike2 {
        color : blue;
        text-decoration:line-through;
}
.strike4 {
        color : blue;
        text-decoration:line-through;
}
.strike5 {
        color : blue;
        text-decoration:line-through;
}
.strike6 {
        color : blue;
        text-decoration:line-through;
}
.strike7 {
        color : blue;
        text-decoration:line-through;
}
.strike8 {
        color : blue;
        text-decoration:line-through;
}
.strike9 {
        color : blue;
        text-decoration:line-through;
}
.strike10 {
        color : blue;
        text-decoration:line-through;
}
.strike11 {
        color : blue;
        text-decoration:line-through;
}
.strike12 {
        color : blue;
        text-decoration:line-through;
}
.strike13 {
        color : blue;
        text-decoration:line-through;
}
-->
</style>

</head>
<body>
    <a href="http://validator.w3.org/check?uri=referer"><img style="float: right; border-width: 0" src="http://www.w3.org/Icons/valid-xhtml11" alt="Valid XHTML 1.1" height="31" width="88" /></a>
  <hr />

<div class="comment">
<table width="100%">

<tr>
<td rowspan="2">
  Name: CCA <a style="color: steelblue" href="https://svn.cacert.org/CAcert/Policies/ControlledDocumentList.html">COD9</a><br />
  Status: POLICY <a style="color: steelblue" href="https://wiki.cacert.org/PolicyDecisions#p20080109.1_CCA_to_POLICY_status">p20080109.1</a><br />
  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;           <span class="draftadd">DRAFT  <a style="color: steelblue" href="https://wiki.cacert.org/PolicyDecisions#p20140709_CCA_update_to_DRAFT">p20140709</a></span> <br />
  Editor: <a style="color: steelblue" href="https://wiki.cacert.org/Community/HomePagesMembers/BenediktHeintel">Benedikt</a><br />
  Licence: <a style="color: steelblue" href="https://wiki.cacert.org/Policy#Licence" title="this document is Copyright &copy; CAcert Inc., licensed openly under CC-by-sa with all disputes resolved under DRP.  More at wiki.cacert.org/Policy">CC-by-sa+DRP</a><br />

</td>
<td valign="top" align="right">
  <a href="https://www.cacert.org/policy/PolicyOnPolicy.php"><img src="images/cacert-policy.png" alt="CCA Status - POLICY" height="31" width="88" style="border-style: none;" /></a>

<!-- XXXXXXXXXXXXXX delete this going to POLICY -->
<br />
<a href="https://www.cacert.org/policy/PolicyOnPolicy.php"><img src="images/cacert-draft.png" alt="CCA Status - DRAFT" height="31" width="88" style="border-style: none;" /></a>

</td>
</tr>
</table>
</div>

<h2> CAcert Community Agreement </h2>

<h3> <a name="0"> 0. </a>  Introduction </h3>

<p>
This agreement is between
you, being a registered member ("Member")
within CAcert's community at large ("Community")
and CAcert Incorporated ("CAcert"),
being an operator of services to the Community.
</p>

<h4> <a name="0.1"> 0.1 </a>  Terms </h4>
<ol><li>
    "CAcert"
    means CAcert Inc.,
    a non-profit Association of Members incorporated in
    New South Wales, Australia.
    Note that Association Members are distinct from
    the Members defined here.
  </li><li>
    "Member"
    means you, a registered participant within CAcert's Community,
    with an account on the website and the
    facility to request certificates.
    Members may be individuals ("natural persons")
    or organisations ("legal persons").
  </li><li>
    "Organisation"
    is defined under the Organisation Assurance programme,
    and generally includes corporations and other entities
    that become Members and become Assured.
  </li><li>
    "Community"
    means all of the Members
    that are registered by this agreement
    and other parties by other agreements,
    all being under CAcert's Arbitration.
  </li><li>
    "Non-Related Person" ("NRP"),
    being someone who is not a
    Member, is not part of the Community,
    and has not registered their agreement.
    <span class="strike7">Such people are offered the NRP-DaL
    another agreement allowing the USE of certificates.</span>
  </li><li>
    <span class="strike7">"Non-Related Persons - Disclaimer and Licence" ("NRP-DaL"),
    another agreement that is offered to persons outside the
    Community.</span><span class="change7">(withdrawn)</span>
  </li><li>
    "Arbitration"
    is the Community's forum for
    resolving disputes, or jurisdiction.
  </li><li>
    "Dispute Resolution Policy" ("DRP" => COD7)
    is the policy and
    rules for resolving disputes.
  </li><li>
    "USE"
    means the act by your software
    to conduct its tasks, incorporating
    the certificates according to software procedures.
  </li><li>
    "RELY"
    means your human act in taking on a
    risk and liability on the basis of the claim(s)
    bound within a certificate.
  </li><li>
    "OFFER"
    means the your act
    of making available your certificate to another person.
    Generally, you install and configure your software
    to act as your agent and facilite this and other tasks.
    OFFER does not imply suggestion of reliance.
  </li><li>
    "Issue"
    means creation of a certificate by CAcert.
    To create a certificate,
    CAcert affixes a digital signature from the root
    onto a public key and other information.
    This act would generally bind a statement or claim,
    such as your name, to your key.
  </li><li>
    "Root"
    means CAcert's top level key,
    used for signing certificates for Members.
    In this document, the term includes any subroots.
  </li><li>
    "CAcert Official Document" ("COD" <span class="strike4">=> COD3</span>)
    <span class="strike4">in a standard format for describing the details of
    operation and governance essential to a certificate authority.
    Changes are managed and controlled.
    CODs define more technical terms.
    See 4.2 for listing of relevant CODs.</span>
	<span class="change4"> is an official managed and
controlled document (e. g. a Policy) of CAcert.</span>
  </li><li>
    "Certification Practice Statement" ("CPS" => COD6)
    is the document that controls details
    about operational matters within CAcert.
</li></ol>


<h3> <a name="1"> 1. </a>  Agreement and Licence </h3>

<h4> <a name="1.1"> 1.1 </a>  Agreement </h4>

<p>You <span class="strike">and CAcert both</span> agree to the terms and conditions in this agreement. Your agreement is given by <span class="change2"> but not limited to</span> <span class="strike2">any of</span></p>

<ul><li>
    your signature on a form to request assurance of identity
    ("CAP" form),
  </li><li>
    your request on the website
    to join the Community and create an account,
  </li><li>
    your request for Organisation Assurance,
  </li><li>
    your request for issuing of certificates, or
  </li><li>
    if you USE, RELY, or OFFER
    any certificate issued to you.
</li></ul>

<p>
Your agreement
is effective from the date of the first event above
that makes this agreement known to you.
This Agreement
replaces and <span class="strike2"> supercedes prior agreements,
including the NRP-DaL.</span> <span class="change2">supersedes any prior agreements.</span>
</p>


<h4> <a name="1.2"> 1.2 </a>  Licence </h4>

<p>
As part of the Community, CAcert offers you these rights:
</p>

<ol><li>
    You may USE any certificates issued by CAcert.
  </li><li>
    You may RELY on any certificate issued by CAcert,
    as explained and limited by CPS (COD6).
  </li><li>
    You may OFFER certificates issued to you by CAcert
    to Members for their RELIANCE.
  </li><li>
    You may OFFER certificates issued to you by CAcert
    to NRPs for their USE, within the general principles
    of the Community.
  </li><li>
    This Licence is free of cost,
    non-exclusive, and non-transferrable.
</li></ol>

<h4> <a name="1.3"> 1.3 </a>  Your Contributions </h4>


<p>
You agree to a non-exclusive non-restrictive non-revokable
transfer of Licence to CAcert for your contributions.
That is, if you post an idea or comment on a CAcert forum,
or email it to other Members,
your work can be used freely by the Community for
CAcert purposes, including placing under CAcert's licences
for wider publication.
</p>

<p>
You retain authorship rights, and the rights to also transfer
non-exclusive rights to other parties.
That is, you can still use your
ideas and contributions outside the Community.
</p>

<p>
Note that the following exceptions override this clause:
</p>

<ol><li>
    Contributions to controlled documents are subject to
    Policy on Policy ("PoP" => COD1)
  </li><li>
    Source code is subject to an open source licence regime.
</li>
	<li><span class="change">Personal data</span></li>
	<li><span class="change">Postings under competing licenses if clearly stated when posted<span></li>
</ol>

<h4> <a name="1.4"> 1.4 </a>  Privacy </h4>


<p>
You give rights to CAcert to store, verify and process
and publish your data in accordance with policies in force.
These rights include shipping the data to foreign countries
for system administration, support and processing purposes.
Such shipping will only be done among
CAcert Community administrators and Assurers.
</p>

<p>
Privacy is further covered in the Privacy Policy ("PP" => COD5).
</p>

<h3> <a name="2"> 2. </a>  Your Risks, Liabilities and Obligations </h3>

<p>
As a Member, you have risks, liabilities
and obligations within this agreement.
</p>

<h4> <a name="2.1"> 2.1 </a>  Risks </h4>

<ol><li>
    A certificate may prove unreliable.
  </li><li>
    Your account, keys or other security tools may be
    lost or otherwise compromised.
  </li><li>
    You may find yourself subject to Arbitration
    (DRP => COD7).
</li></ol>

<h4> <a name="2.2"> 2.2 </a>  Liabilities </h4>

<ol><li>
    You are liable for any penalties
    as awarded against you by the Arbitrator.
  </li><li>
    Remedies are as defined in the DRP (COD7).
    An Arbitrator's ruling may
    include monetary amounts, awarded against you.
  </li><li>
    Your liability is limited to
    a total maximum of
    <b>1000 Euros</b>.
  </li><li>
    "Foreign Courts" may assert jurisdiction.
    These include your local courts, and are outside our Arbitration.
    Foreign Courts will generally refer to the Arbitration
    Act of their country, which will generally refer
    civil cases to Arbitration.
    The Arbitration Act will not apply to criminal cases.
</li></ol>

<h4> <a name="2.3"> 2.3 </a>  Obligations </h4>

<p>
    You are obliged
</p>

<ol><li>
    to provide accurate information
    as part of Assurance.
    You give permission for verification of the information
    using CAcert-approved methods.
  </li><li>
    to make no false representations.
  </li><li>
    to submit all your disputes to Arbitration
    (DRP => COD7).
</li><span class="change3"><li>
    to assist the Arbitrator by truthfully providing information, or with any other reasonable request.
</li></span>
<span class="change7"><li>
    to not share your CAcert account.
</li></span></ol>

<h4> <a name="2.4"> 2.4 </a>  Principles </h4>

<p>
As a Member of CAcert, you are a member of
the Community.
    You are further obliged to 
    work within the spirit of the Principles
    of the Community.
    These are described in
    <a href="http://svn.cacert.org/CAcert/principles.html">Principles of the Community</a>.
</p>

<h4> <a name="2.5"> 2.5 </a>  Security </h4>
<p>
CAcert exists to help you to secure yourself.
You are primarily responsible for your own security.
Your security obligations include
</p>

<ol><li>
    to secure yourself and your computing platform (e. g. PC),
  </li><li>
    to keep your email account in good working order,
  </li><li>
    to secure your CAcert account
    (e. g., credentials such as username, password),
  </li><li>
    to secure your private keys,<span class="change8"> ensuring that they are
	only used as indicated by the certificate, or by wider agreement with others,</span>
  </li><li>
    to review certificates for accuracy,
    and
  </li><li>
    when in doubt, notify CAcert,
  </li><li>
    when in doubt, take other reasonable actions, such as
    revoking certificates,
    changing account credentials,
    and/or generating new keys.
</li></ol>

<p>
Where, above, 'secure' means to protect to a reasonable
degree, in proportion with your risks and the risks of
others.
</p>

<h3> <a name="3"> 3. </a>  Law and Jurisdiction </h3>

<h4> <a name="3.1"> 3.1 </a>  Governing Law </h4>

<p>
This agreement is governed under the law of
New South Wales, Australia,
being the home of the CAcert Inc. Association.
</p>

<h4> <a name="3.2"> 3.2 </a>  Arbitration as Forum of Dispute Resolution </h4>

<p>
You agree, with CAcert and all of the Community,
that all disputes arising out
of or in connection to our use of CAcert services
shall be referred to and finally resolved
by Arbitration under the rules within the
Dispute Resolution Policy of CAcert
(DRP => COD7).
The rules select a single Arbitrator chosen by CAcert
from among senior Members in the Community.
The ruling of the Arbitrator is binding and
final on Members and CAcert alike.
</p>

<p>
In general, the jurisdiction for resolution of disputes
is within CAcert's own forum of Arbitration,
as defined and controlled by its own rules (DRP => COD7).
</p>

<p>
We use Arbitration for many purposes beyond the strict
nature of disputes, such as governance and oversight.
A systems administrator may
need authorisation to conduct a non-routine action,
and Arbitration may provide that authorisation.
Thus, you may find yourself party to Arbitration
that is simply support actions, and you may file disputes in
order to initiate support actions.
</p>


<h4> <a name="3.3"> 3.3 </a>  Termination </h4>
<span class="strike12">
<p>
You may terminate this agreement by resigning from CAcert.  You may do this at any time by
writing to CAcert's online support forum and filing dispute to resign.
All services will be terminated, and your certificates will be revoked.
However, some information will continue to be held for certificate processing purposes.
</p>

<p>
The provisions on Arbitration survive any termination by you by leaving CAcert.
That is, even if you resign from CAcert, you are still bound by the DRP (COD7),
and the Arbitrator may reinstate any provision of this agreement or bind you to a ruling.
</p>

<p>
Only the Arbitrator may terminate this agreement with you.
</p>
</span>

<span class="change12">
<p>The CAcert Community Agreement is terminated</p>

<ol>
	<li>based on a Policy Group decision following (PoP => COD1). This
		terminates the Agreement with every member.</li>

	<li>with a ruling of the Arbitrator or the completion of a termination
		process defined by an Arbitrator ruling (DRP => COD7).</li>

	<li>by the end of existence of a member (i.e. death in the case of
		individuals).</li>
</ol>

<p>A member may declare the wish to resign from CAcert at any time by
writing to <em>support AT cacert.org</em>. This triggers a process for
termination of this agreement with the member.</p>

<h4> <a name="3.3"> 3.3a </a> Consequences of Termination </h4>

<p>The termination discontinues the right to USE, OFFER and CREATE
personal certificates in any account of the former member. Those
certificates will be revoked and all services to the former member will
be terminated as soon as possible. However, some information will
continue to be held for certificate processing purposes.</p>

<p>The provisions on Arbitration for the time of membership survive any
termination. Former members
are still bound by the DRP (COD7), and the Arbitrator may reinstate any
provision of this agreement or bind them to a ruling.</p>

<p>As far as Organisations are concerned details are also defined in the
Organisation Assurance Policy (OAP => COD11).</p>

<p>Every member learning about the death of a member or termination of
existence of a member should notify <em>support AT cacert.org</em>.</p>
</span>




<h4> <a name="3.4"> 3.4 </a>  Changes of Agreement </h4>

<p>
CAcert may from time to time vary the terms of this Agreement.
Changes will be done according to the documented CAcert policy
for changing policies, and is subject to scrutiny and feedback
by the Community.
Changes will be notified to you by email to your primary address.
</p>

<p>
If you do not agree to the changes, you may terminate as above.
Continued use of the service shall be deemed to be agreement
by you.
</p>

<h4> <a name="3.5"> 3.5 </a>  Communication </h4>

<p><span class="change6">
You are responsible for keeping your primary email account in good working order and able to receive emails from CAcert.</span></p>

<p>Notifications to CAcert are to be sent by email to the address <em>support AT cacert.org</em>. You should attach a digital signature<span class="strike6">, but need not do so in the event of security or similar urgency</span>.</p>

<span class="strike6">
<p>Notifications to you are sent by CAcert to the primary email address registered with your account. You are responsible for keeping your email account in good working order and able to receive emails from CAcert.</p>

<p>Arbitration is generally conducted by email.</p></span>

<h3> <a name="4"> 4. </a> Miscellaneous </h3>

<h4> <a name="4.1"> 4.1 </a> <span class="strike10">Other Parties Within the Community</span> <span class="change10">(withdrawn)</span></h4>

<p class="strike10">
As well as you and other Members in the Community,
CAcert forms agreements with third party
vendors and others.
Thus, such parties will also be in the Community.
Such agreements are also controlled by the same
policy process as this agreement, and they should
mirror and reinforce these terms.
</p>

<h4> <a name="4.2"> 4.2 </a>  References and Other Binding Documents </h4>

<p class="strike11">
This agreement is CAcert Official Document 9 (COD9)
and is a controlled document.
</p>

<p>
You are also bound by 
<span class="change11">
the Policies of the Community under the control of Policy on Policy ("PoP" => COD1) and listed in
<a href="https://svn.cacert.org/CAcert/Policies/ControlledDocumentList.html">Controlled Document List</a>.
</span>
</p>

<span class="strike11">
<ol><li>
    <a href="http://www.cacert.org/policy/CertificationPracticeStatement.php">
    Certification Practice Statement</a> (CPS => COD6).
  </li><li>
    <a href="http://www.cacert.org/policy/DisputeResolutionPolicy.php">
    Dispute Resolution Policy</a> (DRP => COD7).
  </li><li>
    <a href="PrivacyPolicy.html">
    Privacy Policy</a> (PP => COD5).
  </li><li>
    <a href="http://svn.cacert.org/CAcert/principles.html">
    Principles of the Community</a>.
</li></ol>
</span>

<p class="strike11">
Where documents are referred to as <i>=> COD x</i>,
they are controlled documents
under the control of Policy on Policies (COD1).
</p>

<p class ="strike11">
This agreement and controlled documents above are primary,
and may not be replaced or waived except
by formal policy channels and by Arbitration.
</p>

<p class="change11">
Controlled documents are primary, and may not be replaced or waived except by formal policy
channels and Arbitration.
</p>

<p class="change11">
This agreement is controlled document COD9.
</p>

<h4> <a name="4.3"> 4.3 </a>  Informative References </h4>

<p>
The governing documents are in English. Documents may be translated for convenience. 
Because we cannot control the legal effect of translations, the English documents are the ruling ones.
</p>

<p class="strike9">
You are encouraged to be familiar with the Assurer Handbook,
which provides a more readable introduction for much of the information needed.
The Handbook is not however an agreement, and is overruled
by this agreement and others listed above.
</p>

<p class="change9">
Beside this Agreement and the Policies, there are other documents, i.
e. Policy Guides, Manuals and Handbooks, supporting and explaining this
Agreement and the Policies. These documents are not binding and in doubt
this Agreement and the Policies are valid.</p>

<h4> <a name="4.4"> 4.4 </a> <span class="strike9">Not Covered in this Agreement</span> <span class="change9">(withdrawn)</span></h4>

<p class="strike9">
<b>Intellectual Property.</b>
This Licence does not transfer any intellectual property rights ("IPR") to you.  CAcert asserts and
maintains its IPR over its roots, issued certificates, brands, logos and other assets.
Note that the certificates issued to you are CAcert's intellectual property
and you do not have rights other than those stated.
</p>

</body>
</html>

Eva

2014-07-29 22:30

updater   ~0004911

I used the link to the CCA. The DRAFT version of the CCA is shown.

=> ok

INOPIAE

2014-08-12 19:46

updater   ~0004935

on Win7 Pro with FF I get the message:
Fehler: Umleitungsfehler

Die aufgerufene Website leitet die Anfrage so um, dass sie nie beendet werden kann.

with Chrome:
Diese Webseite weist eine Weiterleitung auf.

=> fail

Eva

2014-08-12 20:22

updater   ~0004937

It fails by me, now, also.

=> fail

BenBE

2014-08-12 21:19

updater   ~0004938

The redirection is a bug with the Testserver Apache configuration containing an explicit RedirectMatch temp for the .html version. As the testserver-stable branch renames the .php to .html the .html effectively becomes unavilable.

Using the bug-1293 as checked-out version the policy was available for testing as it will be sent of to the live system. Doing this an issue with the XML header line was detected; which is still to be fixed.

MartinGummi

2014-08-13 22:22

updater   ~0004939

show the CCA

=> OK

felixd

2014-08-13 22:22

updater   ~0004940

Last edited: 2014-08-13 22:23

View 2 revisions

I opened the CAcertCommunityAgreement.php on the current "bug-1293"-branch which was deployed on the testserver. It showed the updated CommunityAgreement.

=> OK

BenBE

2014-08-14 08:52

updater   ~0004941

I fixed the testserver configuration causing an infinite redirection loop.

This was live testet by magu@felix (as indicated above) by checking the PHP version on the bug-1293 branch as well as the redirection on the testserver-stable branch (currently active after mentioned fix was installed).

The latest change in the document is modification of the DOCTYPE from XHTML 1.1 to HTML 5 to synchronise with the other policy documents.

Please do a second review and submit to crit ASAP.

Ted

2014-08-15 17:56

administrator   ~0004942

Reviewed commit fa3a17789986431c15dac26c43a8100ee7e8d0d4 vs. c5215ac4fc75fbf10c96b7426885b39a74ad7fa7

Review findings

Only different file is www/policy/CAcertCommunityAgreement.php, checked file of commit c5215a...

Only external source is http://www.w3.org/Icons/valid-xhtml11
Only external link is http://validator.w3.org/check?uri=referer

No executable code (scripts, plugins) is used.

Internal sources use relative URL.

Internal hyperrefs use mixed absolute and relativr UTLs.
Internal absolute hyperrefs use mixed secure and insecure links.

Conclusion

Review is a FAIL because:

Use of an external source (http://www.w3.org/Icons/valid-xhtml11) needs a reason (in form of comment). So either remove the external source (my preference) or add a comment why it is necessary.

More recommendations

For hyperrefs absolute and relative URLs to the same server should not be mixed without reason. www.cacert.org is absolutely referenced in lines 141, 145, 634, 637, whereas line 640 uses relative URL, I don't see a reason for different behaviour. I'd propose to use relative URLs in all these lines, though I've no problems with absolute URLs everywhere.

Hyperrefs to the same server should not mix HTTP and HTTPS without reason. References to svn.cacert.org are HTTP at lines 432 and 643, whereas HTTPS is used at 133 and 268. If there's no reason to do otherwise, HTTPS should be preferred.

Proposed changes are commited as 39a1f94bb932fe0c1b9084b3a8e22aec54feebaf.

Ted

2014-08-15 18:00

administrator   ~0004943

Last edited: 2014-08-15 18:05

View 2 revisions

Another little thing, is it intentional that both logos (DRAFT and POLICY) are shown? IMHO only the one which shows the current state should be used, to avoid confusion.

But I don't consider this as a showstopper.

Eva

2014-08-15 21:40

updater   ~0004949

I cannot give a reference to a policy (only to now deprecated policy documents) to show, that the logos were handled like this for policies who had reached POLICY status once and were drafted afterewards again with some changes.

There is currently no description how this should be treated. Policy on Policies only tells us, that Policy Group changes to policies who have reached POLICY status need a policy decision to be changed. (no pun intended)

The possibly other relevant policy is in WiP status so not binding.

As we plan to have only a short DRAFT staus for the CCA, this is probably not such an important issue.

Much more important is to get the correct content of the currently binding CCA on the website. Not doing so violates our policies more than the question regarding the image, as no policy coveres this.

Also the relevant policy decisions regarding the status are contained in the document.

Eva

2014-08-16 04:58

updater   ~0004950

Comment on the extrnal link from the point of view of Policy Officer:

I'm not a SA so I cannot give a review. But I am responsible for the organisation of the policies and the Policy Group so may comment here:

Software team is currently NOT allowed to change the file and to replace the link, as it was voted on like this by policy group.

There are only two persons who currently may change things like links. This are me as Policy Officer (based on policy group decision p20100306 and the editor (Benedikt) based on PoP 2.5. (The last voted version on PoP can be found: https://svn.cacert.org/CAcert/Policies/PolicyOnPolicy.html (The one on the website is NOT correct - this neither, as it just reached POLICY status and currently refers to DRAFT status AND it is at the wrong place, but there currently is no correct version.)

Both references are likewise and say:

"[Editor / Policy Officer] may make the following changes, where it is clear that the change does not change the policy:

 * fixes to errors in grammar and spelling,
 * anchors, HTML errors, URLs & formatting,
 * COD numbers and other references, and
 * other minutiae, as agreed under 2.3.

Such changes to be notified to the policy group, and to be folded into effect, etc, without further ado. "


The external link was in all the versions Policy Group considered on the policy group, starting with the one entered by the editor.

The corresponding file on the current website, also contains this external link.

Ted

2014-08-16 21:45

administrator   ~0004953

1.

I am a Software Asessor, and therefor it's my job to review changes which are intended to be implemented on the CAcert website.

The current file on the current website (https://www.cacert.org/policy/CAcertCommunityAgreement.php) does not contain this external source, please check again.

External sources are not under our control, so they may change without anyone of us noticing. Which could easily lead to massive changes in the page outside of our control!

It's the SA's primary job to prevent such things from happening and so I cannot pass over this.

2.

Removing this icon is well inside the competence of the Editor, since it's quite obvious that it does not change the policy in any way, and therefor falls into the regime of formatting.

3.

Currently only two persons may publish a changed version of this file. IMHO everyone may propose changes. That's what I did by commiting my proposal for the new file to git.cacert.org, just to ease the work of the Editor a little bit.

If the Editor should come to the conclusion that the proposal is wanting or not appropriate nothing prevents her/him from continuing the editing based on the previous version. BTW, that's exactly what GIT and similar versioning tools are intended for...

Eva

2014-08-17 13:11

updater   ~0004954

You my give such proposals. But the authority to decide on this links is at PolicyGroup. Else they could not give single roles the right to do so as well. Software Team is NOT on this list.

As long as there is no other decision from either PolG or PolO or the editor of the CCA, the correct content includes this links as they are.

Sure, if a document decided on by policy group would be actual harmful for the software running on our system, you can block it, but only then. This is not your reasoning.

I spoke with the editor, yesterday, he was not interested in changing anything.

I as well do not want to do this at this time, as there will have editoral changes again, when the CCA is moved to POLICY status, which probably will be about a month after the current change is done. So I see no need to change anything at this time.

It is unlikely that the external link will be invalid during this perios. And even if it is, it will get attention "soon".

Ted

2014-08-17 15:58

administrator   ~0004958

Reviewed the recent commit e4b1ef52c2def29e9c2db96f4fdbd5c8bc470094 vs. c5215ac4fc75fbf10c96b7426885b39a74ad7fa7

The only change is the removal of the valid-xhtml11 icon (including the external source).

The review is PASSED. The further recommendations are still in place, but are not considered security relevant.

Eva

2014-08-17 16:03

updater   ~0004959

Last edited: 2014-08-17 16:35

View 3 revisions

The reviewed commit may only be done with the decision of PolG, PolO or the editor. As I just declared my resignation as PolO I recommend to ask the editor and have tried to contact him.

Test result:
I tried different links to the CCA on the testserver. The document displayed looked as what I expected to see (without the discussed image).

Benedikt

2014-08-17 21:28

updater   ~0004960

Please review and deploy the changed file: CAcertCommunityAgreement_Draft_20140727_Edit.html

It covers all your named wishes to change.

Benedikt

2014-08-17 21:59

updater  

CAcertCommunityAgreement_Draft_20140727_Edit.html (15,893 bytes)   
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>CAcert Community Agreement</title>
  <style type="text/css">
/*<![CDATA[*/
  .comment {
        color : steelblue;
  }
  .first-does-not-work {
        color : red;
  }
  .q {
        color : green;
        font-weight: bold;
        text-align: center;
        font-style:italic;
  }
  .change {
        color : blue;
        font-weight: bold;
  }
  .strike {
        color : blue;
        text-decoration:line-through;
  }
  img.c3 {border-style: none;}
  a.c2 {color: steelblue;}
  img.c1 {float: right; border-width: 0}
  /*]]>*/
  </style>
</head>

<body>
  <div class="comment">
    <table width="100%">
      <tr>
        <td rowspan="2">Name: CCA <a class="c2" href=
        "https://svn.cacert.org/CAcert/Policies/ControlledDocumentList.html">COD9</a><br />

        Status: POLICY <a class="c2" href=
        "https://wiki.cacert.org/PolicyDecisions#p20080109.1_CCA_to_POLICY_status">
        p20080109.1</a><br />
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class="draftadd">DRAFT
        <a class="c2" href=
        "https://wiki.cacert.org/PolicyDecisions#p20140709_CCA_update_to_DRAFT">
        p20140709</a></span><br />
        Editor: <a class="c2" href=
        "https://wiki.cacert.org/Community/HomePagesMembers/BenediktHeintel">Benedikt</a><br />

        Licence: <a class="c2" href="https://wiki.cacert.org/Policy#Licence"
        title=
        "this document is Copyright © CAcert Inc., licensed openly under CC-by-sa with all disputes resolved under DRP. More at wiki.cacert.org/Policy">
        CC-by-sa+DRP</a><br /></td>

        <td valign="top" align="right"><a href=
        "https://www.cacert.org/policy/PolicyOnPolicy.php"><img src=
        "images/cacert-policy.png" alt="CCA Status - POLICY" height="31" width=
        "88" class="c3" /></a> 
        <!-- XXXXXXXXXXXXXX delete this going to POLICY --><br />
        <a href="https://www.cacert.org/policy/PolicyOnPolicy.php"><img src=
        "images/cacert-draft.png" alt="CCA Status - DRAFT" height="31" width=
        "88" class="c3" /></a></td>
      </tr>
    </table>
  </div>

  <h2>CAcert Community Agreement</h2>

  <h3><a name="0">0.</a> Introduction</h3>

  <p>This agreement is between you, being a registered member ("Member") within
  CAcert's community at large ("Community") and CAcert Incorporated ("CAcert"),
  being an operator of services to the Community.</p>

  <h4><a name="0.1">0.1</a> Terms</h4>

  <ol>
    <li>"CAcert" means CAcert Inc., a non-profit Association of Members
    incorporated in New South Wales, Australia. Note that Association Members
    are distinct from the Members defined here</li>

    <li>"Member" means you, a registered participant within CAcert's Community,
    with an account on the website and the facility to request certificates.
    Members may be individuals ("natural persons") or organisations ("legal
    persons").</li>

    <li>"Organisation" is defined under the Organisation Assurance programme,
    and generally includes corporations and other entities that become Members
    and become Assured.</li>

    <li>"Community" means all of the Members that are registered by this
    agreement and other parties by other agreements, all being under CAcert's
    Arbitration.</li>

    <li>"Non-Related Person" ("NRP"), being someone who is not a Member, is not
    part of the Community, and has not registered their agreement.</li>

    <li>(withdrawn)</li>

    <li>"Arbitration" is the Community's forum for resolving disputes, or
    jurisdiction.</li>

    <li>"Dispute Resolution Policy" ("DRP" =&gt; COD7) is the policy and rules
    for resolving disputes.</li>

    <li>"USE" means the act by your software to conduct its tasks,
    incorporating the certificates according to software procedures.</li>

    <li>"RELY" means your human act in taking on a risk and liability on the
    basis of the claim(s) bound within a certificate.</li>

    <li>"OFFER" means the your act of making available your certificate to
    another person. Generally, you install and configure your software to act
    as your agent and facilite this and other tasks. OFFER does not imply
    suggestion of reliance.</li>

    <li>"Issue" means creation of a certificate by CAcert. To create a
    certificate, CAcert affixes a digital signature from the root onto a public
    key and other information. This act would generally bind a statement or
    claim, such as your name, to your key.</li>

    <li>"Root" means CAcert's top level key, used for signing certificates for
    Members. In this document, the term includes any subroots.</li>

    <li>"CAcert Official Document" ("COD") is an official managed and
    controlled document (e. g. a Policy) of CAcert.</li>

    <li>"Certification Practice Statement" ("CPS" =&gt; COD6) is the document
    that controls details about operational matters within CAcert.</li>
  </ol>

  <h3><a name="1">1.</a> Agreement and Licence</h3>

  <h4><a name="1.1">1.1</a> Agreement</h4>

  <p>You agree to the terms and conditions in this agreement. Your agreement is
  given by but not limited to</p>

  <ul>
    <li>your signature on a form to request assurance of identity ("CAP"
    form),</li>

    <li>your request on the website to join the Community and create an
    account,</li>

    <li>your request for Organisation Assurance,</li>

    <li>your request for issuing of certificates, or</li>

    <li>if you USE, RELY, or OFFER any certificate issued to you.</li>
  </ul>

  <p>Your agreement is effective from the date of the first event above that
  makes this agreement known to you. This Agreement replaces and supersedes any
  prior agreements.</p>

  <h4><a name="1.2">1.2</a> Licence</h4>

  <p>As part of the Community, CAcert offers you these rights:</p>

  <ol>
    <li>You may USE any certificates issued by CAcert.</li>

    <li>You may RELY on any certificate issued by CAcert, as explained and
    limited by CPS (COD6).</li>

    <li>You may OFFER certificates issued to you by CAcert to Members for their
    RELIANCE.</li>

    <li>You may OFFER certificates issued to you by CAcert to NRPs for their
    USE, within the general principles of the Community.</li>

    <li>This Licence is free of cost, non-exclusive, and
    non-transferrable.</li>
  </ol>

  <h4><a name="1.3">1.3</a> Your Contributions</h4>

  <p>You agree to a non-exclusive non-restrictive non-revokable transfer of
  Licence to CAcert for your contributions. That is, if you post an idea or
  comment on a CAcert forum, or email it to other Members, your work can be
  used freely by the Community for CAcert purposes, including placing under
  CAcert's licences for wider publication.</p>

  <p>You retain authorship rights, and the rights to also transfer
  non-exclusive rights to other parties. That is, you can still use your ideas
  and contributions outside the Community.</p>

  <p>Note that the following exceptions override this clause:</p>

  <ol>
    <li>Contributions to controlled documents are subject to Policy on Policy
    ("PoP" =&gt; COD1)</li>

    <li>Source code is subject to an open source licence regime.</li>

    <li>Personal data</li>

    <li>Postings under competing licenses if clearly stated when posted</li>
  </ol>

  <h4><a name="1.4">1.4</a> Privacy</h4>

  <p>You give rights to CAcert to store, verify and process and publish your
  data in accordance with policies in force. These rights include shipping the
  data to foreign countries for system administration, support and processing
  purposes. Such shipping will only be done among CAcert Community
  administrators and Assurers.</p>

  <p>Privacy is further covered in the Privacy Policy ("PP" =&gt; COD5).</p>

  <h3><a name="2">2.</a> Your Risks, Liabilities and Obligations</h3>

  <p>As a Member, you have risks, liabilities and obligations within this
  agreement.</p>

  <h4><a name="2.1">2.1</a> Risks</h4>

  <ol>
    <li>A certificate may prove unreliable.</li>

    <li>Your account, keys or other security tools may be lost or otherwise
    compromised.</li>

    <li>You may find yourself subject to Arbitration (DRP =&gt; COD7).</li>
  </ol>

  <h4><a name="2.2">2.2</a> Liabilities</h4>

  <ol>
    <li>You are liable for any penalties as awarded against you by the
    Arbitrator.</li>

    <li>Remedies are as defined in the DRP (COD7). An Arbitrator's ruling may
    include monetary amounts, awarded against you.</li>

    <li>Your liability is limited to a total maximum of <b>1000 Euros</b>.</li>

    <li>"Foreign Courts" may assert jurisdiction. These include your local
    courts, and are outside our Arbitration. Foreign Courts will generally
    refer to the Arbitration Act of their country, which will generally refer
    civil cases to Arbitration. The Arbitration Act will not apply to criminal
    cases.</li>
  </ol>

  <h4><a name="2.3">2.3</a> Obligations</h4>

  <p>You are obliged</p>

  <ol>
    <li>to provide accurate information as part of Assurance. You give
    permission for verification of the information using CAcert-approved
    methods.</li>

    <li>to make no false representations.</li>

    <li>to submit all your disputes to Arbitration (DRP =&gt; COD7).</li>

    <li>to assist the Arbitrator by truthfully providing information, or with
    any other reasonable request.</li>

    <li>to not share your CAcert account.</li>
  </ol>

  <h4><a name="2.4">2.4</a> Principles</h4>

  <p>As a Member of CAcert, you are a member of the Community. You are further
  obliged to work within the spirit of the Principles of the Community. These
  are described in <a href=
  "https://svn.cacert.org/CAcert/principles.html">Principles of the
  Community</a>.</p>

  <h4><a name="2.5">2.5</a> Security</h4>

  <p>CAcert exists to help you to secure yourself. You are primarily
  responsible for your own security. Your security obligations include</p>

  <ol>
    <li>to secure yourself and your computing platform (e. g. PC),</li>

    <li>to keep your email account in good working order,</li>

    <li>to secure your CAcert account (e. g., credentials such as username,
    password),</li>

    <li>to secure your private keys, ensuring that they are only used as
    indicated by the certificate, or by wider agreement with others,</li>

    <li>to review certificates for accuracy, and</li>

    <li>when in doubt, notify CAcert,</li>

    <li>when in doubt, take other reasonable actions, such as revoking
    certificates, changing account credentials, and/or generating new
    keys.</li>
  </ol>

  <p>Where, above, 'secure' means to protect to a reasonable degree, in
  proportion with your risks and the risks of others.</p>

  <h3><a name="3">3.</a> Law and Jurisdiction</h3>

  <h4><a name="3.1">3.1</a> Governing Law</h4>

  <p>This agreement is governed under the law of New South Wales, Australia,
  being the home of the CAcert Inc. Association.</p>

  <h4><a name="3.2">3.2</a> Arbitration as Forum of Dispute Resolution</h4>

  <p>You agree, with CAcert and all of the Community, that all disputes arising
  out of or in connection to our use of CAcert services shall be referred to
  and finally resolved by Arbitration under the rules within the Dispute
  Resolution Policy of CAcert (DRP =&gt; COD7). The rules select a single
  Arbitrator chosen by CAcert from among senior Members in the Community. The
  ruling of the Arbitrator is binding and final on Members and CAcert
  alike.</p>

  <p>In general, the jurisdiction for resolution of disputes is within CAcert's
  own forum of Arbitration, as defined and controlled by its own rules (DRP
  =&gt; COD7).</p>

  <p>We use Arbitration for many purposes beyond the strict nature of disputes,
  such as governance and oversight. A systems administrator may need
  authorisation to conduct a non-routine action, and Arbitration may provide
  that authorisation. Thus, you may find yourself party to Arbitration that is
  simply support actions, and you may file disputes in order to initiate
  support actions.</p>

  <h4><a name="3.3">3.3</a> Termination</h4>

  <p>The CAcert Community Agreement is terminated</p>

  <ol>
    <li>based on a Policy Group decision following (PoP =&gt; COD1). This
    terminates the Agreement with every member.</li>

    <li>with a ruling of the Arbitrator or the completion of a termination
    process defined by an Arbitrator ruling (DRP =&gt; COD7).</li>

    <li>by the end of existence of a member (i.e. death in the case of
    individuals).</li>
  </ol>

  <p>A member may declare the wish to resign from CAcert at any time by writing
  to <em>support AT cacert.org</em>. This triggers a process for termination of
  this agreement with the member.</p>

  <h4><a name="3.3">3.3a</a> Consequences of Termination</h4>

  <p>The termination discontinues the right to USE, OFFER and CREATE personal
  certificates in any account of the former member. Those certificates will be
  revoked and all services to the former member will be terminated as soon as
  possible. However, some information will continue to be held for certificate
  processing purposes.</p>

  <p>The provisions on Arbitration for the time of membership survive any
  termination. Former members are still bound by the DRP (COD7), and the
  Arbitrator may reinstate any provision of this agreement or bind them to a
  ruling.</p>

  <p>As far as Organisations are concerned details are also defined in the
  Organisation Assurance Policy (OAP =&gt; COD11).</p>

  <p>Every member learning about the death of a member or termination of
  existence of a member should notify <em>support AT cacert.org</em>.</p>

  <h4><a name="3.4">3.4</a> Changes of Agreement</h4>

  <p>CAcert may from time to time vary the terms of this Agreement. Changes
  will be done according to the documented CAcert policy for changing policies,
  and is subject to scrutiny and feedback by the Community. Changes will be
  notified to you by email to your primary address.</p>

  <p>If you do not agree to the changes, you may terminate as above. Continued
  use of the service shall be deemed to be agreement by you.</p>

  <h4><a name="3.5">3.5</a> Communication</h4>

  <p>You are responsible for keeping your primary email account in good working
  order and able to receive emails from CAcert.</p>

  <p>Notifications to CAcert are to be sent by email to the address <em>support
  AT cacert.org</em>. You should attach a digital signature.</p>

  <h3><a name="4">4.</a> Miscellaneous</h3>

  <h4><a name="4.1">4.1</a> (withdrawn)</h4>

  <h4><a name="4.2">4.2</a> References and Other Binding Documents</h4>

  <p>You are also bound by the Policies of the Community under the control of
  Policy on Policy ("PoP" =&gt; COD1) and listed in <a href=
  "https://svn.cacert.org/CAcert/Policies/ControlledDocumentList.html">Controlled
  Document List</a>.</p>

  <p>Controlled documents are primary, and may not be replaced or waived except
  by formal policy channels and Arbitration.</p>

  <p>This agreement is controlled document COD9.</p>

  <h4><a name="4.3">4.3</a> Informative References</h4>

  <p>The governing documents are in English. Documents may be translated for
  convenience. Because we cannot control the legal effect of translations, the
  English documents are the ruling ones.</p>

  <p>Beside this Agreement and the Policies, there are other documents, i. e.
  Policy Guides, Manuals and Handbooks, supporting and explaining this
  Agreement and the Policies. These documents are not binding and in doubt this
  Agreement and the Policies are valid.</p>

  <h4><a name="4.4">4.4</a>(withdrawn)</h4>
</body>
</html>

Benedikt

2014-08-17 22:00

updater   ~0004961

Please use the newly provided file (just uploaded), the older had additional meta data that should not had been there. - Sorry for the mistake.

Eva

2014-08-18 05:15

updater   ~0004962

If the version added by Benedikt here is the one presented on PolG I doubt that he has the right to do all the changes at this time, as it does not show which parts are new because of the drafting and which ones are old.

(Also it does miss the images to indicate the status.)

As people should be able to grasp the differences I would file a dispute, if anybody would try to get a version that does not display the changes online as a DRAFT version, because our members should be able to understand the changes easily without the need to search for the according Policy Group decisions.

BenBE

2014-08-18 05:33

updater   ~0004963

The latest version from the bugtracker has been pushed to the testserver. The file differs from the version presented on the mailing list by some minute details in formatting, but not wording (line wrapping is different for some paragraphs).

Although I can understand Eva's position here and it might be advantageous to include the differences to the old policy document it's not for Software to decide; thus if Policy asks to put this version up I do not see an issue as long as security aspects are met.

This is given for the current document version.

@Benedikt: Short ACK on this version OR if you want to do another round of changes in order to highlight the difference.

Benedikt

2014-08-18 19:49

updater   ~0004964

The latest attached file corresponds with the requested format.

Ted

2014-08-18 20:15

administrator   ~0004965

Reviewed commit 055e0f95fa724942ab467b9fbb05449a72095358

Refiew findings

(Mental note: First line needs to be PHP "escaped" because of the <?xml?> tag)

- The comments in style section are irritating, but acceptable
- No scripts or otherwise executable components
- All hyperrefs are absolute
- All hyperrefs use HTTPS, hyperrefs only inside the cacert.org domain
- All sources use relative URL

No check was made whether the document conforms to the policy decision

Conclusion

Review is PASSED. The comments in the style section are deprecated, but acceptable.

Eva

2014-08-19 04:56

updater   ~0004966

Even as it is not linked, the latest document does NOT match the policy decisions. The markup is not ok in great parts. 1.4 - 2.3 is not completely added.

This version should not be allowed.

BenBE

2014-08-19 07:52

updater   ~0004967

Note to testers: the version on the testserver is not yet the latest one. It has not been updated yet because of objections from Eva - I'll be checking the situation later today.

Thus (short summary): The latest accepted version is the _Edit one, which is missing the blue markup and thus not conforming to policy. The _bh version has received objections which wait to be checked, decision pending.

Benedikt

2014-08-19 18:57

updater   ~0004968

File "_bh" replaced. I was in a hurry yesterday evening.

BenBE

2014-08-19 20:19

updater   ~0004969

Last edited: 2014-08-19 20:19

View 2 revisions

File updated for latest version by Benedikt at 2014-08-19 20:56.

Please test and review.

Benedikt

2014-08-19 20:53

updater   ~0004971

Test:
https://cacert1.it-sls.de/policy/CAcertCommunityAgreement.html matches the distributed file on Mailing List https://svn.cacert.org/CAcert/Policies/CAcertCommunityAgreement_20140708.html

=> OK

Benedikt

2014-08-19 20:54

updater  

CAcertCommunityAgreement_Draft_20140727_bh.html (22,144 bytes)   
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
        "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
 <meta http-equiv="CONTENT-TYPE" content="text/html; charset=utf-8" />
 <title> CAcert Community Agreement </title>
<style type="text/css">
<!--
.comment {
        color : steelblue;
}
.first-does-not-work {
        color : red;
}
.q {
        color : green;
        font-weight: bold;
        text-align: center;
        font-style:italic;
}
.change {
        color : blue;
        font-weight: bold;
}
.change2 {
        color : blue;
		font-weight: bold;
}
.change3 {
        color : blue;
		font-weight: bold;
}
.change4 {
        color : blue;
	font-weight: bold;
}
.change5 {
        color : blue;
	font-weight: bold;
}
.change6 {
        color : blue;
	font-weight: bold;
}
.change7 {
        color : blue ;
	font-weight: bold;
}
.change8 {
        color : blue;
	font-weight: bold;
}
.change9 {
        color : blue;
	font-weight: bold;
}
.change10 {
        color : blue;
	font-weight: bold;
}
.change11 {
        color : blue;
	font-weight: bold;
}
.change12 {
        color : blue;
	font-weight: bold;
}
.change13 {
        color : blue;
	font-weight: bold;
}
.strike {
        color : blue;
        text-decoration:line-through;
}
.strike2 {
        color : blue;
        text-decoration:line-through;
}
.strike4 {
        color : blue;
        text-decoration:line-through;
}
.strike5 {
        color : blue;
        text-decoration:line-through;
}
.strike6 {
        color : blue;
        text-decoration:line-through;
}
.strike7 {
        color : blue;
        text-decoration:line-through;
}
.strike8 {
        color : blue;
        text-decoration:line-through;
}
.strike9 {
        color : blue;
        text-decoration:line-through;
}
.strike10 {
        color : blue;
        text-decoration:line-through;
}
.strike11 {
        color : blue;
        text-decoration:line-through;
}
.strike12 {
        color : blue;
        text-decoration:line-through;
}
.strike13 {
        color : blue;
        text-decoration:line-through;
}
-->
</style>

</head>
<body>

	<div class="comment">
	<table width="100%">
	
	<tr>
	<td rowspan="2">
	  Name: CCA <a style="color: steelblue" href="https://svn.cacert.org/CAcert/Policies/ControlledDocumentList.html">COD9</a><br />
	  Status: POLICY <a style="color: steelblue" href="https://wiki.cacert.org/PolicyDecisions#p20080109.1_CCA_to_POLICY_status">p20080109.1</a><br />
	  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class="draftadd">DRAFT  <a style="color: steelblue" href="https://wiki.cacert.org/PolicyDecisions#p20140709_CCA_update_to_DRAFT">p20140709</a></span> <br />
	  Editor: <a style="color: steelblue" href="https://wiki.cacert.org/Community/HomePagesMembers/BenediktHeintel">Benedikt</a><br />
	  Licence: <a style="color: steelblue" href="https://wiki.cacert.org/Policy#Licence" title="this document is Copyright &copy; CAcert Inc., licensed openly under CC-by-sa with all disputes resolved under DRP.  More at wiki.cacert.org/Policy">CC-by-sa+DRP</a><br />
	
	</td>
	<td valign="top" align="right">
	  <a href="https://www.cacert.org/policy/PolicyOnPolicy.php"><img src="images/cacert-policy.png" alt="CCA Status - POLICY" height="31" width="88" style="border-style: none;" /></a>
	
	<!-- XXXXXXXXXXXXXX delete this going to POLICY -->
	<br />
	<a href="https://www.cacert.org/policy/PolicyOnPolicy.php"><img src="images/cacert-draft.png" alt="CCA Status - DRAFT" height="31" width="88" style="border-style: none;" /></a>
	
	</td>
	</tr>
	</table>
	</div>

  <h2>CAcert Community Agreement</h2>

  <h3><a name="0">0.</a> Introduction</h3>

  <p>This agreement is between you, being a registered member ("Member") within
  CAcert's community at large ("Community") and CAcert Incorporated ("CAcert"),
  being an operator of services to the Community.</p>

  <h4><a name="0.1">0.1</a> Terms</h4>

  <ol>
    <li>"CAcert" means CAcert Inc., a non-profit Association of Members
    incorporated in New South Wales, Australia. Note that Association Members
    are distinct from the Members defined here.</li>

    <li>"Member" means you, a registered participant within CAcert's Community,
    with an account on the website and the facility to request certificates.
    Members may be individuals ("natural persons") or organisations ("legal
    persons").</li>

    <li>"Organisation" is defined under the Organisation Assurance programme,
    and generally includes corporations and other entities that become Members
    and become Assured.</li>

    <li>"Community" means all of the Members that are registered by this
    agreement and other parties by other agreements, all being under CAcert's
    Arbitration.</li>

    <li>"Non-Related Person" ("NRP"), being someone who is not a Member, is not
    part of the Community, and has not registered their agreement. <span class=
    "strike7">Such people are offered the NRP-DaL another agreement allowing
    the USE of certificates.</span></li>

    <li><span class="strike7">"Non-Related Persons - Disclaimer and Licence"
    ("NRP-DaL"), another agreement that is offered to persons outside the
    Community.</span><span class="change7">(withdrawn)</span></li>

    <li>"Arbitration" is the Community's forum for resolving disputes, or
    jurisdiction.</li>

    <li>"Dispute Resolution Policy" ("DRP" =&gt; COD7) is the policy and rules
    for resolving disputes.</li>

    <li>"USE" means the act by your software to conduct its tasks,
    incorporating the certificates according to software procedures.</li>

    <li>"RELY" means your human act in taking on a risk and liability on the
    basis of the claim(s) bound within a certificate.</li>

    <li>"OFFER" means the your act of making available your certificate to
    another person. Generally, you install and configure your software to act
    as your agent and facilite this and other tasks. OFFER does not imply
    suggestion of reliance.</li>

    <li>"Issue" means creation of a certificate by CAcert. To create a
    certificate, CAcert affixes a digital signature from the root onto a public
    key and other information. This act would generally bind a statement or
    claim, such as your name, to your key.</li>

    <li>"Root" means CAcert's top level key, used for signing certificates for
    Members. In this document, the term includes any subroots.</li>

    <li>"CAcert Official Document" ("COD" <span class="strike4">=&gt;
    COD3</span>) <span class="strike4">in a standard format for describing the
    details of operation and governance essential to a certificate authority.
    Changes are managed and controlled. CODs define more technical terms. See
    4.2 for listing of relevant CODs.</span> <span class="change4">is an
    official managed and controlled document (e. g. a Policy) of
    CAcert.</span></li>

    <li>"Certification Practice Statement" ("CPS" =&gt; COD6) is the document
    that controls details about operational matters within CAcert.</li>
  </ol>

  <h3><a name="1">1.</a> Agreement and Licence</h3>

  <h4><a name="1.1">1.1</a> Agreement</h4>

  <p>You <span class="strike">and CAcert both</span> agree to the terms and
  conditions in this agreement. Your agreement is given by <span class=
  "change2">but not limited to</span> <span class="strike2">any of</span></p>

  <ul>
    <li>your signature on a form to request assurance of identity ("CAP"
    form),</li>

    <li>your request on the website to join the Community and create an
    account,</li>

    <li>your request for Organisation Assurance,</li>

    <li>your request for issuing of certificates, or</li>

    <li>if you USE, RELY, or OFFER any certificate issued to you.</li>
  </ul>

  <p>Your agreement is effective from the date of the first event above that
  makes this agreement known to you. This Agreement replaces and <span class=
  "strike2">supercedes prior agreements, including the NRP-DaL.</span>
  <span class="change2">supersedes any prior agreements.</span></p>

  <h4><a name="1.2">1.2</a> Licence</h4>

  <p>As part of the Community, CAcert offers you these rights:</p>

  <ol>
    <li>You may USE any certificates issued by CAcert.</li>

    <li>You may RELY on any certificate issued by CAcert, as explained and
    limited by CPS (COD6).</li>

    <li>You may OFFER certificates issued to you by CAcert to Members for their
    RELIANCE.</li>

    <li>You may OFFER certificates issued to you by CAcert to NRPs for their
    USE, within the general principles of the Community.</li>

    <li>This Licence is free of cost, non-exclusive, and
    non-transferrable.</li>
  </ol>

  <h4><a name="1.3">1.3</a> Your Contributions</h4>

  <p>You agree to a non-exclusive non-restrictive non-revokable transfer of
  Licence to CAcert for your contributions. That is, if you post an idea or
  comment on a CAcert forum, or email it to other Members, your work can be
  used freely by the Community for CAcert purposes, including placing under
  CAcert's licences for wider publication.</p>

  <p>You retain authorship rights, and the rights to also transfer
  non-exclusive rights to other parties. That is, you can still use your ideas
  and contributions outside the Community.</p>

  <p>Note that the following exceptions override this clause:</p>

  <ol>
    <li>Contributions to controlled documents are subject to Policy on Policy
    ("PoP" =&gt; COD1)</li>

    <li>Source code is subject to an open source licence regime.</li>

    <li><span class="change">Personal data</span></li>

    <li><span class="change">Postings under competing licenses if clearly
    stated when posted</span></li>
  </ol>

  <h4><a name="1.4">1.4</a> Privacy</h4>

  <p>You give rights to CAcert to store, verify and
  process and publish your data in accordance with policies in force. These
  rights include shipping the data to foreign countries for system
  administration, support and processing purposes. Such shipping will only be
  done among CAcert Community administrators and Assurers.</p>

  <p>Privacy is further covered in the Privacy Policy ("PP" =&gt; COD5).</p>

  <h3><a name="2">2.</a> Your Risks, Liabilities and Obligations</h3>

  <p>As a Member, you have risks, liabilities and obligations within this agreement.</p>

  <h4><a name="2.1">2.1</a> Risks</h4>

  <ol>
    <li>A certificate may prove unreliable.</li>

    <li>Your account, keys or other security tools may be
    lost or otherwise compromised.</li>

    <li>You may find yourself subject to Arbitration (DRP
    =&gt; COD7).</li>
  </ol>

  <h4><a name="2.2">2.2</a> Liabilities</h4>

  <ol>
    <li>You are liable for any penalties as awarded
    against you by the Arbitrator.</li>

    <li>Remedies are as defined in the DRP (COD7). An
    Arbitrator's ruling may include monetary amounts, awarded against
    you.</li>

    <li>Your liability is limited to a total maximum of
    <b>1000 Euros</b>.</li>

    <li>"Foreign Courts" may assert jurisdiction. These
    include your local courts, and are outside our Arbitration. Foreign Courts
    will generally refer to the Arbitration Act of their country, which will
    generally refer civil cases to Arbitration. The Arbitration Act will not
    apply to criminal cases.</li>
  </ol>

  <h4><a name="2.3">2.3</a> Obligations</h4>

  <p>You are obliged</p>

  <ol>
    <li>to provide accurate information as part of
    Assurance. You give permission for verification of the information using
    CAcert-approved methods.</li>

    <li>to make no false representations.</li>

    <li>to submit all your disputes to Arbitration (DRP
    =&gt; COD7).</li>

    <li><span class="change">to assist the Arbitrator by truthfully providing
    information, or with any other reasonable request.</span></li>

    <li><span class="change7">to not share your CAcert account.</span></li>
  </ol>

  <h4><a name="2.4">2.4</a> Principles</h4>

  <p>As a Member of CAcert, you are a member of the Community. You are further
  obliged to work within the spirit of the Principles of the Community. These
  are described in <a href=
  "http://svn.cacert.org/CAcert/principles.html">Principles of the
  Community</a>.</p>

  <h4><a name="2.5">2.5</a> Security</h4>

  <p>CAcert exists to help you to secure yourself. You are primarily
  responsible for your own security. Your security obligations include</p>

  <ol>
    <li>to secure yourself and your computing platform (e. g. PC),</li>

    <li>to keep your email account in good working order,</li>

    <li>to secure your CAcert account (e. g., credentials such as username,
    password),</li>

    <li>to secure your private keys, <span class="change8">ensuring that they
    are only used as indicated by the certificate, or by wider agreement with
    others,</span></li>

    <li>to review certificates for accuracy, and</li>

    <li>when in doubt, notify CAcert,</li>

    <li>when in doubt, take other reasonable actions, such as revoking
    certificates, changing account credentials, and/or generating new
    keys.</li>
  </ol>

  <p>Where, above, 'secure' means to protect to a reasonable degree, in
  proportion with your risks and the risks of others.</p>

  <h3><a name="3">3.</a> Law and Jurisdiction</h3>

  <h4><a name="3.1">3.1</a> Governing Law</h4>

  <p>This agreement is governed under the law of New South Wales, Australia,
  being the home of the CAcert Inc. Association.</p>

  <h4><a name="3.2">3.2</a> Arbitration as Forum of Dispute Resolution</h4>

  <p>You agree, with CAcert and all of the Community, that all disputes arising
  out of or in connection to our use of CAcert services shall be referred to
  and finally resolved by Arbitration under the rules within the Dispute
  Resolution Policy of CAcert (DRP =&gt; COD7). The rules select a single
  Arbitrator chosen by CAcert from among senior Members in the Community. The
  ruling of the Arbitrator is binding and final on Members and CAcert
  alike.</p>

  <p>In general, the jurisdiction for resolution of disputes is within CAcert's
  own forum of Arbitration, as defined and controlled by its own rules (DRP
  =&gt; COD7).</p>

  <p>We use Arbitration for many purposes beyond the strict nature of disputes,
  such as governance and oversight. A systems administrator may need
  authorisation to conduct a non-routine action, and Arbitration may provide
  that authorisation. Thus, you may find yourself party to Arbitration that is
  simply support actions, and you may file disputes in order to initiate
  support actions.</p>

  <h4><a name="3.3">3.3</a> Termination</h4>

  <p><span class="strike12">You may terminate this agreement by resigning from
  CAcert. You may do this at any time by writing to CAcert's online support
  forum and filing dispute to resign. All services will be terminated, and your
  certificates will be revoked. However, some information will continue to be
  held for certificate processing purposes.</span></p>

  <p><span class="strike12">The provisions on Arbitration survive any
  termination by you by leaving CAcert. That is, even if you resign from
  CAcert, you are still bound by the DRP (COD7), and the Arbitrator may
  reinstate any provision of this agreement or bind you to a ruling.</span></p>

  <p><span class="strike12">Only the Arbitrator may terminate this agreement
  with you.</span></p>

  <p><span class="change12">The CAcert Community Agreement is
  terminated</span></p>

  <ol>
    <li><span class="change12">based on a Policy Group decision following (PoP
    =&gt; COD1). This terminates the Agreement with every member.</span></li>

    <li><span class="change12">with a ruling of the Arbitrator or the
    completion of a termination process defined by an Arbitrator ruling (DRP
    =&gt; COD7).</span></li>

    <li><span class="change12">by the end of existence of a member (i.e. death
    in the case of individuals).</span></li>
  </ol>

  <p><span class="change12">A member may declare the wish to resign from CAcert
  at any time by writing to <em>support AT cacert.org</em>. This triggers a
  process for termination of this agreement with the member.</span></p>

  <h4><span class="change12"><a name="3.3">3.3a</a> Consequences of
  Termination</span></h4>

  <p><span class="change12">The termination discontinues the right to USE,
  OFFER and CREATE personal certificates in any account of the former member.
  Those certificates will be revoked and all services to the former member will
  be terminated as soon as possible. However, some information will continue to
  be held for certificate processing purposes.</span></p>

  <p><span class="change12">The provisions on Arbitration for the time of
  membership survive any termination. Former members are still bound by the DRP
  (COD7), and the Arbitrator may reinstate any provision of this agreement or
  bind them to a ruling.</span></p>

  <p><span class="change12">As far as Organisations are concerned details are
  also defined in the Organisation Assurance Policy (OAP =&gt;
  COD11).</span></p>

  <p><span class="change12">Every member learning about the death of a member
  or termination of existence of a member should notify <em>support AT
  cacert.org</em>.</span></p>

  <h4><a name="3.4">3.4</a> Changes of Agreement</h4>

  <p>CAcert may from time to time vary the terms of this Agreement. Changes
  will be done according to the documented CAcert policy for changing policies,
  and is subject to scrutiny and feedback by the Community. Changes will be
  notified to you by email to your primary address.</p>

  <p>If you do not agree to the changes, you may terminate as above. Continued
  use of the service shall be deemed to be agreement by you.</p>

  <h4><a name="3.5">3.5</a> Communication</h4>

  <p><span class="change6">You are responsible for keeping your primary email
  account in good working order and able to receive emails from
  CAcert.</span></p>

  <p>Notifications to CAcert are to be sent by email to the address <em>support
  AT cacert.org</em>. You should attach a digital signature<span class=
  "strike6">, but need not do so in the event of security or similar
  urgency</span>.</p>

  <p><span class="strike6">Notifications to you are sent by CAcert to the
  primary email address registered with your account. You are responsible for
  keeping your email account in good working order and able to receive emails
  from CAcert.</span></p>

  <p><span class="strike6">Arbitration is generally conducted by
  email.</span></p>

  <h3><a name="4">4.</a> Miscellaneous</h3>

  <h4><a name="4.1">4.1</a> <span class="strike10">Other Parties Within the
  Community</span> <span class="change10">(withdrawn)</span></h4>

  <p class="strike10">As well as you and other Members in the Community, CAcert
  forms agreements with third party vendors and others. Thus, such parties will
  also be in the Community. Such agreements are also controlled by the same
  policy process as this agreement, and they should mirror and reinforce these
  terms.</p>

  <h4><a name="4.2">4.2</a> References and Other Binding Documents</h4>

  <p class="strike11">This agreement is CAcert Official Document 9 (COD9) and
  is a controlled document.</p>

  <p>You are also bound by <span class="change11">the Policies of the Community
  under the control of Policy on Policy ("PoP" =&gt; COD1) and listed in
  <a href=
  "https://svn.cacert.org/CAcert/Policies/ControlledDocumentList.html">Controlled
  Document List</a>.</span></p>

  <ol>
    <li><span class="strike11"><a href=
    "http://www.cacert.org/policy/CertificationPracticeStatement.php">Certification
    Practice Statement</a> (CPS =&gt; COD6).</span></li>

    <li><span class="strike11"><a href=
    "http://www.cacert.org/policy/DisputeResolutionPolicy.php">Dispute
    Resolution Policy</a> (DRP =&gt; COD7).</span></li>

    <li><span class="strike11"><a href="PrivacyPolicy.html">Privacy Policy</a>
    (PP =&gt; COD5).</span></li>

    <li><span class="strike11"><a href=
    "http://svn.cacert.org/CAcert/principles.html">Principles of the
    Community</a>.</span></li>
  </ol>

  <p class="strike11">Where documents are referred to as <i>=&gt; COD x</i>,
  they are controlled documents under the control of Policy on Policies
  (COD1).</p>

  <p class="strike11">This agreement and controlled documents above are
  primary, and may not be replaced or waived except by formal policy channels
  and by Arbitration.</p>

  <p class="change11">Controlled documents are primary, and may not be replaced
  or waived except by formal policy channels and Arbitration.</p>

  <p class="change11">This agreement is controlled document COD9.</p>

  <h4><a name="4.3">4.3</a> Informative References</h4>

  <p>The governing documents are in English. Documents may be translated for
  convenience. Because we cannot control the legal effect of translations, the
  English documents are the ruling ones.</p>

  <p class="strike9">You are encouraged to be familiar with the Assurer
  Handbook, which provides a more readable introduction for much of the
  information needed. The Handbook is not however an agreement, and is
  overruled by this agreement and others listed above.</p>

  <p class="change9">Beside this Agreement and the Policies, there are other
  documents, i. e. Policy Guides, Manuals and Handbooks, supporting and
  explaining this Agreement and the Policies. These documents are not binding
  and in doubt this Agreement and the Policies are valid.</p>

  <h4><a name="4.4">4.4</a> <span class="strike9">Not Covered in this
  Agreement</span> <span class="change9">(withdrawn)</span></h4>

  <p class="strike9"><b>Intellectual Property.</b> This Licence does not
  transfer any intellectual property rights ("IPR") to you. CAcert asserts and
  maintains its IPR over its roots, issued certificates, brands, logos and
  other assets. Note that the certificates issued to you are CAcert's
  intellectual property and you do not have rights other than those stated.</p>
</body>
</html>

INOPIAE

2014-08-19 20:56

updater   ~0004972

I just tested the link from policy list, cert generation, start page, assure someone.
On all pages the link shows the CCA.
=> ok

Ted

2014-08-24 20:32

administrator   ~0004981

Reviewed commit 1e079aba2cf37259a3506026e4b748465f3c6f3a

Review findings

Positive:
- No scripts or otherwise executable components found
- All sources use relative url
- All hyperrefs have targes inside the cacert.org domain

Negative:
- Hyperrefs to the same target server (www.cacert.org, svn.cacert.org) are mixed HTTP and HTTPS. This is irritating, is there a reason for it?
- Hyperrefs to the same location (www.cacert.org/policy) are mixed absolute and relative, while no reason is obvious. Is there a reason for it?

Conclusion

The review is PASSED. While I recommend to fix or explain the Negative issues they are not security relevant and therefor acceptable.

wytze

2014-08-29 14:41

developer   ~0004984

The patch has been installed on the production server on August 29, 2014. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2014-08/msg00022.html

Issue History

Date Modified Username Field Change
2014-07-29 20:57 Eva New Issue
2014-07-29 20:57 Eva Assigned To => BenBE
2014-07-29 20:57 Eva File Added: CAcertCommunityAgreement_Draft_20140727.html
2014-07-29 21:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 0175ca33
2014-07-29 21:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 290f1326
2014-07-29 22:26 BenBE Reviewed by => BenBE
2014-07-29 22:26 BenBE Severity minor => text
2014-07-29 22:26 BenBE Status new => needs review & testing
2014-07-29 22:26 BenBE Product Version => 2014 Q3
2014-07-29 22:26 BenBE Target Version => 2014 Q3
2014-07-29 22:30 Eva Note Added: 0004911
2014-08-12 19:46 INOPIAE Note Added: 0004935
2014-08-12 20:22 Eva Note Added: 0004937
2014-08-12 21:19 BenBE Note Added: 0004938
2014-08-13 22:15 BenBE Source_changeset_attached => cacert-devel testserver-stable d53c5ce9
2014-08-13 22:15 BenBE Source_changeset_attached => cacert-devel testserver-stable c5215ac4
2014-08-13 22:22 MartinGummi Note Added: 0004939
2014-08-13 22:22 felixd Note Added: 0004940
2014-08-13 22:23 felixd Note Edited: 0004940 View Revisions
2014-08-14 08:52 BenBE Note Added: 0004941
2014-08-14 08:52 BenBE Status needs review & testing => needs review
2014-08-15 17:56 Ted Note Added: 0004942
2014-08-15 18:00 Ted Note Added: 0004943
2014-08-15 18:05 Ted Note Edited: 0004943 View Revisions
2014-08-15 21:40 Eva Note Added: 0004949
2014-08-16 04:58 Eva Note Added: 0004950
2014-08-16 21:45 Ted Note Added: 0004953
2014-08-17 13:11 Eva Note Added: 0004954
2014-08-17 15:40 BenBE Source_changeset_attached => cacert-devel testserver-stable c214e41a
2014-08-17 15:40 BenBE Source_changeset_attached => cacert-devel testserver-stable e4b1ef52
2014-08-17 15:58 Ted Note Added: 0004958
2014-08-17 15:58 Ted Reviewed by BenBE => Ted, BenBE
2014-08-17 16:03 Eva Note Added: 0004959
2014-08-17 16:31 Eva Note Edited: 0004959 View Revisions
2014-08-17 16:35 Eva Note Edited: 0004959 View Revisions
2014-08-17 21:27 Benedikt File Added: CAcertCommunityAgreement_Draft_20140727_Edit.html
2014-08-17 21:28 Benedikt Note Added: 0004960
2014-08-17 21:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 846b7a12
2014-08-17 21:58 Benedikt File Deleted: CAcertCommunityAgreement_Draft_20140727_Edit.html
2014-08-17 21:59 Benedikt File Added: CAcertCommunityAgreement_Draft_20140727_Edit.html
2014-08-17 22:00 Benedikt Note Added: 0004961
2014-08-18 05:15 Eva Note Added: 0004962
2014-08-18 05:25 BenBE Source_changeset_attached => cacert-devel testserver-stable ad4eeea9
2014-08-18 05:25 BenBE Source_changeset_attached => cacert-devel testserver-stable 055e0f95
2014-08-18 05:33 BenBE Note Added: 0004963
2014-08-18 19:48 Benedikt File Added: CAcertCommunityAgreement_Draft_20140727_bh.html
2014-08-18 19:49 Benedikt Note Added: 0004964
2014-08-18 20:15 Ted Note Added: 0004965
2014-08-19 04:56 Eva Note Added: 0004966
2014-08-19 07:52 BenBE Note Added: 0004967
2014-08-19 18:54 Benedikt File Deleted: CAcertCommunityAgreement_Draft_20140727_bh.html
2014-08-19 18:55 Benedikt File Added: CAcertCommunityAgreement_Draft_20140727_bh.html
2014-08-19 18:55 Benedikt File Deleted: CAcertCommunityAgreement_Draft_20140727_bh.html
2014-08-19 18:56 Benedikt File Added: CAcertCommunityAgreement_Draft_20140727_bh.html
2014-08-19 18:57 Benedikt Note Added: 0004968
2014-08-19 20:19 BenBE Note Added: 0004969
2014-08-19 20:19 BenBE Note Edited: 0004969 View Revisions
2014-08-19 20:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 590771a3
2014-08-19 20:20 BenBE Source_changeset_attached => cacert-devel testserver-stable d86d9285
2014-08-19 20:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 0b36841e
2014-08-19 20:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 1e079aba
2014-08-19 20:53 Benedikt Note Added: 0004971
2014-08-19 20:53 Benedikt File Deleted: CAcertCommunityAgreement_Draft_20140727_bh.html
2014-08-19 20:54 Benedikt File Added: CAcertCommunityAgreement_Draft_20140727_bh.html
2014-08-19 20:56 INOPIAE Note Added: 0004972
2014-08-19 20:58 BenBE Reviewed by Ted, BenBE => BenBE
2014-08-24 20:32 Ted Note Added: 0004981
2014-08-24 20:34 Ted Reviewed by BenBE => Ted, BenBE
2014-08-24 20:34 Ted Status needs review => ready to deploy
2014-08-29 07:00 BenBE Source_changeset_attached => cacert-devel release 7fa0fbd5
2014-08-29 14:41 wytze Note Added: 0004984
2014-08-29 14:41 wytze Status ready to deploy => solved?
2014-08-29 14:41 wytze Fixed in Version => 2014 Q3
2014-08-29 14:41 wytze Resolution open => fixed
2014-12-02 22:49 INOPIAE Status solved? => closed